Porting mbedtls (former PolarSSL) to eCos

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Porting mbedtls (former PolarSSL) to eCos

Ilija Kocho [Илија Кочо]
Hi all

I am porting mbedtls (former PolarSSL) Ref: https://tls.mbed.org/
security stack to eCos. It is now licensed under Apache 2.0 that allows
linking with proprietary code.

I would like to put patches on Bugzilla for review and discussion but
I'm little bit worried about regulations regarding encryption products.
How do I proceed?

Ilija

Reply | Threaded
Open this post in threaded view
|

Re: Porting mbedtls (former PolarSSL) to eCos

Jonathan Larmour-2
On 16/01/16 11:35, Ilija Kocho wrote:
> Hi all
>
> I am porting mbedtls (former PolarSSL) Ref: https://tls.mbed.org/
> security stack to eCos. It is now licensed under Apache 2.0 that allows
> linking with proprietary code.
>
> I would like to put patches on Bugzilla for review and discussion but
> I'm little bit worried about regulations regarding encryption products.
> How do I proceed?


Unfortunately Apache 2.0 is not compatible with the GPLv2 we use:

http://www.gnu.org/licenses/license-list.html#apache2

If you can overcome that somehow, then on the encryption side, first you must
check the encryption export laws of your own country. Then the encryption
export laws for the server hosting the patches, in this case the UK. I haven't
found any good information to indicate whether it definitely does or
definitely does not have any export control, sorry.

Jifl

Reply | Threaded
Open this post in threaded view
|

Re: Porting mbedtls (former PolarSSL) to eCos

Ilija Kocho [Илија Кочо]
On 17.01.2016 22:52, Jonathan Larmour wrote:

> On 16/01/16 11:35, Ilija Kocho wrote:
>> Hi all
>>
>> I am porting mbedtls (former PolarSSL) Ref: https://tls.mbed.org/
>> security stack to eCos. It is now licensed under Apache 2.0 that allows
>> linking with proprietary code.
>>
>> I would like to put patches on Bugzilla for review and discussion but
>> I'm little bit worried about regulations regarding encryption products.
>> How do I proceed?
>
> Unfortunately Apache 2.0 is not compatible with the GPLv2 we use:
>
> http://www.gnu.org/licenses/license-list.html#apache2
>
> If you can overcome that somehow,

Perhaps this statement from eCos licence combined with GPLv3: "...either
version 2 or (at your option) any later version.".

>  then on the encryption side, first you must
> check the encryption export laws of your own country.

Afaik Macedonia has no export control. Anyway I'll check with our
forwarding agent.

> Then the encryption
> export laws for the server hosting the patches, in this case the UK. I haven't
> found any good information to indicate whether it definitely does or
> definitely does not have any export control, sorry.

Then I may put EPK on some server in MK.

Ilija